package com.beem.project.beem.ui;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;

import com.beem.project.beem.R;

/**
 * This class represents an activity which allows the user 
 * to connect to an XMPP server with his username/password
 * 
 * @author dasilvj
 */
public class Login extends Activity {
	
	/**
	 * {@inheritDoc}
	 */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.login);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
    	MenuInflater mInflater = getMenuInflater();
    	mInflater.inflate(R.menu.login, menu);
		return true;
    }
    
    /**
     * {@inheritDoc}
     */
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
    	Intent i = null;
    	
        switch (item.getItemId()) {
        case R.id.login_menu_settings:
        	i = new Intent(this, EditSettings.class);
        	startActivity(i);
            return true;
        case R.id.login_menu_about:
        	createAboutDialog();
        	return true;
        }
        return false;
    }
    
    /**
     * Create an about "BEEM" dialog
     */
    public void createAboutDialog() {
    	AlertDialog.Builder builder = new AlertDialog.Builder(this);
    	builder.setTitle(R.string.login_about_title).setMessage(R.string.login_about_msg).setCancelable(false);
    	builder.setNeutralButton(R.string.login_about_button, new DialogInterface.OnClickListener() {
    		public void onClick(DialogInterface dialog, int whichButton) {
    			dialog.cancel();
    		}
    	});
    	AlertDialog aboutDialog = builder.create();
    	aboutDialog.show();
    }
}
